Create Workspace Schema
curl --request POST \
--url https://api.example.com/v1/workspaces/{workspace_id}:createSchema \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"catalogId": "<string>",
"schemaId": "<string>",
"schema": {
"spec": {
"relational": {
"connector": "<string>",
"sourceCatalog": "<string>",
"sourceSchema": "<string>",
"snapshot": {
"tables": {}
}
}
},
"name": "",
"createTime": "2023-11-07T05:31:56Z",
"updateTime": "2023-11-07T05:31:56Z",
"revision": 0,
"revisionHash": ""
}
}
'import requests
url = "https://api.example.com/v1/workspaces/{workspace_id}:createSchema"
payload = {
"catalogId": "<string>",
"schemaId": "<string>",
"schema": {
"spec": { "relational": {
"connector": "<string>",
"sourceCatalog": "<string>",
"sourceSchema": "<string>",
"snapshot": { "tables": {} }
} },
"name": "",
"createTime": "2023-11-07T05:31:56Z",
"updateTime": "2023-11-07T05:31:56Z",
"revision": 0,
"revisionHash": ""
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
catalogId: '<string>',
schemaId: '<string>',
schema: {
spec: {
relational: {
connector: '<string>',
sourceCatalog: '<string>',
sourceSchema: '<string>',
snapshot: {tables: {}}
}
},
name: '',
createTime: '2023-11-07T05:31:56Z',
updateTime: '2023-11-07T05:31:56Z',
revision: 0,
revisionHash: ''
}
})
};
fetch('https://api.example.com/v1/workspaces/{workspace_id}:createSchema', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"spec": {
"relational": {
"connector": "<string>",
"sourceCatalog": "<string>",
"sourceSchema": "<string>",
"snapshot": {
"tables": {}
}
}
},
"createTime": "<string>",
"updateTime": "<string>",
"revision": "0",
"revisionHash": ""
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}workspace
Create Workspace Schema
POST
/
v1
/
workspaces
/
{workspace_id}
:createSchema
Create Workspace Schema
Authorizations
An API key or OAuth2/OIDC access token sent as Authorization: Bearer <token>.
Path Parameters
Pattern:
^[a-z0-9](?:[a-z0-9._~-]*[a-z0-9])?$Body
application/json
Response
Successful Response
A SQL-visible schema owned by its parent catalog.
Resource name in the form
workspaces/{workspace}/catalogs/{catalog}/schemas/{schema}.
The terminal resource ID is the SQL-visible schema name.
Pattern:
^workspaces/[a-z0-9](?:[a-z0-9._~-]*[a-z0-9])?/catalogs/[a-z][a-z0-9_]{0,62}/schemas/[a-z][a-z0-9_]{0,62}$Definition used to construct this schema.
Show child attributes
Show child attributes
Time at which the schema was created.
Time at which the schema was most recently updated.
Monotonically increasing revision of this schema definition.
Lowercase SHA-256 hash of the canonical stored schema definition.